### Method

# Foundry TemplateOutput write

#### Declaration [src]

    DexFuture*
    foundry_template_output_write (
      FoundryTemplateOutput* self
    )

#### Description [src]

Writes the output contents to the destination file.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.